Binds an agent to its NHI identity (Agent.IdentityID).
POST
/v1/m/governance/agents/{agentID}/identity
const url = 'https://example.com/v1/m/governance/agents/example/identity';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"allow_unknown":true,"identity_id":"example","identity_ref":"example","mint":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/governance/agents/example/identity \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "allow_unknown": true, "identity_id": "example", "identity_ref": "example", "mint": true }'Binds an agent to its NHI identity (Agent.IdentityID). Admin-tier and self-audited.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” agentID
required
string
Path parameter agentID.
Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}